server {
    listen 80;
    server_name {{ webrtc_domain | mandatory }};
    # enforce https
    return 301 https://$server_name$request_uri;
}

server {
    listen 443 ssl;

    ssl_certificate /etc/letsencrypt/live/{{ webrtc_domain }}/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/{{ webrtc_domain }}/privkey.pem;

        server_name {{ webrtc_domain }};

        access_log {{ webrtc_http_log_dest | mandatory }}/access.log;
        error_log {{ webrtc_http_log_dest | mandatory }}/error.log;

        location / {
                proxy_pass http://127.0.0.1:{{ webrtc_port }};
                proxy_http_version 1.1;
                proxy_set_header Upgrade $http_upgrade;
                proxy_set_header Connection "upgrade";
                proxy_set_header X-Forwarded-Proto $scheme;
                proxy_set_header Host $http_host;
                proxy_set_header X-Real-IP $remote_addr;
                proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;

                proxy_buffering             on;
                proxy_ignore_client_abort   off;
                proxy_redirect              off;
                proxy_connect_timeout       90;
                proxy_send_timeout          90;
                proxy_read_timeout          90;
                proxy_buffer_size           4k;
                proxy_buffers               4 32k;
                proxy_busy_buffers_size     64k;
                proxy_temp_file_write_size  64k;
                proxy_next_upstream         error timeout invalid_header http_502 http_503 http_504;
        }

        location ~ /.well-known/acme-challenge {
             root /usr/share/nginx/spreed/;
             allow all;
        }
}